# Interface SelectionChange<T>

Event emitted when the value of a MatSelectionModel has changed. @docs-private

interface SelectionChange<T> {
added: T[];
removed: T[];
source: SelectionModel<T>;
}

#### Type Parameters

- T

- Defined in packages/angular/material/table-system/src/lib/select-row/selection-model.ts:249

#####
Index

### Properties

added
removed
source

## Properties

### added

added: T[]

Options that were added to the model.

- Defined in packages/angular/material/table-system/src/lib/select-row/selection-model.ts:253

### removed

removed: T[]

Options that were removed from the model.

- Defined in packages/angular/material/table-system/src/lib/select-row/selection-model.ts:255

### source

source: SelectionModel<T>

Model that dispatched the event.

- Defined in packages/angular/material/table-system/src/lib/select-row/selection-model.ts:251